<template>
 <button :class="`w-full flex items-center justify-center px-8 py-3 border border-transparent text-base font-medium rounded-md text-${text_color} bg-${color}-600 hover:bg-${color}-700 md:text-${size} md:py-${padding_y} md:px-${padding_x}`">
    <font-awesome-icon v-if="icon != null" :icon="icon" :size="icon_size"/>
    <span v-if="label" class="ml-2">
      {{ label }}
    </span>
 </button>
</template>

<script>
export default {
  name: "Button",
  props: {
    label: String,
    color: {
      default: "indigo",
      type: String
    },
    icon: {
      default: "",
      type: String
    },
    icon_size: {
      default: "",
      type: String
    },
    text_color: {
      default: "white",
      type: String
    },
    size: {
      default: "base",
      type: String
    },
    padding_x: {
      default: "8",
      type: String
    },
    padding_y: {
      default: "3",
      type: String
    }
  }
}
</script>

<style scoped>

</style>